/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _SYSTEMITEM_
#define _SYSTEMITEM_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlistbox.h>
#include <qpainter.h>

#include "blinklistbox.h"

class SystemItem : public WBlinkListBoxItem
{
public:
  SystemItem();
  ~SystemItem();
  virtual void paint(QPainter*);
  virtual bool canBeSelected() const { return FALSE; }
protected:
  QPixmap pm_last, pm_stat;
  QPixmap pmap_null, pmap_msg, pmap_url, pmap_auth, pmap_chat, pmap_exclam, pmap_file;

  virtual int height(const QListBox*) const;
  virtual int width(const QListBox*) const;
  virtual const QPixmap *pixmap_last();
  virtual const QPixmap *pixmap_stat();
private:
};
#endif
