/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _USERITEM_
#define _USERITEM_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlistbox.h>
#include <qpainter.h>

#include "blinklistbox.h"

class UserItem : public WBlinkListBoxItem
{
public:
  UserItem(unsigned long);
  ~UserItem();
  virtual void paint(QPainter*);
  void updatePixmap() ;
  unsigned long getUIN() const { return uin; }
protected:
  unsigned long uin;
  QPixmap pm_last, pm_stat;
  QPixmap pmap_null, pmap_msg, pmap_url, pmap_auth, pmap_chat, pmap_exclam, pmap_file;

  virtual int height(const QListBox*) const;
  virtual int width(const QListBox*) const;
  virtual const QPixmap *pixmap_last();
  virtual const QPixmap *pixmap_stat();
private:
};
#endif
