/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
// $Id: infonotes.cpp,v 1.1 2000/05/24 16:58:18 denis Exp $
// $Log: infonotes.cpp,v $
// Revision 1.1  2000/05/24 16:58:18  denis
// Sources have been splitted to the whole bunch of appropriate
// directories. Every directory is end up with static library. All
// of them are linked together to the final kicq binary.
//
// Revision 1.6  2000/01/10 16:08:34  denis
// Headers reorganized for simplify dependencies and speedup compilation.
//
// Revision 1.5  1999/07/23 12:37:41  denis
// Layout management support implemented.
// Cleaned up.
//
// Revision 1.4  1999/07/16 15:48:15  denis
// Cleaned up.
//
// Revision 1.3  1998/12/08 16:18:18  denis
// Cleaned up a little before releasing
//

#include <qlayout.h>

#include "infonotes.h"

#include "infonotes.moc"

NotesWidget::NotesWidget(QWidget *parent) : QWidget(parent)
{
  QBoxLayout *topLayout = new QVBoxLayout(this, 7);

  notesbox = new QMultiLineEdit(this);
  topLayout->addWidget(notesbox, 1);

  topLayout->activate();
}

void NotesWidget::setInfo(const char *pnotes)
{
  notesbox->setText(pnotes);
}

QString NotesWidget::text()
{
  return notesbox->text();
}
