/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _FAILDIALOG_H
#define _FAILDIALOG_H

#include <qsemimodal.h>
#include <qlabel.h>
#include <qpushbutton.h>

class FailDialog : public QSemiModal {
  Q_OBJECT
public:
  FailDialog(QWidget *parent=0, const char *name=0, bool modal=FALSE,
             WFlags f=0);
  //~FailDialog();
  void setLabelText(const QString &);
  QSize sizeHint() const;
signals:
  void done(int);
protected:
  void resizeEvent(QResizeEvent *);
  void closeEvent(QCloseEvent *);
private:
  QLabel *label;
  QPushButton *button1;
  QPushButton *button2;
  QPushButton *button3;
  QPushButton *button4;
  void layout();
private slots:
  void buttonClicked();
};

#endif
