/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _PREFPROXY_
#define _PREFPROXY_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlabel.h>
#include <qlined.h>
#include <qgrpbox.h>
#include <qchkbox.h>
#include <kintegerline.h>

class ProxyWidget : public QWidget {
  Q_OBJECT
public:
  ProxyWidget(QWidget *);
  void setInfo(int, const char*, int, int, const char*, const char*);
  int use();
  const char *host();
  int port();
  int auth();
  const char *user();
  const char *pass();
public slots:
signals:
protected:
  QLineEdit *hostline, *userline, *passline;
  KIntegerLine *portline;
  QCheckBox *usebox, *authbox;
protected slots:
  void useToggled(bool);
  void authToggled(bool);
private:
private slots:
};
#endif /* _PREFPROXY_ */
