/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _PREFQP_
#define _PREFQP_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlabel.h>
#include <qlined.h>
#include <qevent.h> 
#include <qgrpbox.h>
#include <qlistbox.h>
#include <qpushbutton.h> 

class QPPrefWidget : public QWidget {
  Q_OBJECT
public:
  QPPrefWidget(QWidget *);
  void save();
public slots:
signals:
protected:
  QLineEdit *edit;
  QPushButton *addbutton, *deletebutton;
  QListBox *listbox;
protected slots:
  void clickedAdd();
  void clickedDelete();
  void listboxItemChange(int item);
private:
private slots:
};
#endif /* _PREFQP_ */
