/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _PREFSOUND_
#define _PREFSOUND_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlabel.h>
#include <qchkbox.h>
#include <qgrpbox.h>
#include <qlistbox.h>
#include <qpushbutton.h>
#include <mediatool.h>
#include <kaudio.h>

class SoundWidget : public QWidget {
  Q_OBJECT
public:
  SoundWidget(QWidget *);
  void setInfo(int);
  int wav();
public slots:
signals:
protected:
  KAudio audio;
  QCheckBox *bellbox, *wavbox, *userbox;
  QListBox *soundlist, *eventlist;
  QPushButton *testbutton;
protected slots:
  void soundSelected(int);
  void eventSelected(int);
  void testClicked();
private:
private slots:
};
#endif /* _PREFSOUND_ */
