/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * $Id: page0.cpp,v 1.1 2000/06/25 17:59:10 denis Exp $
 * $Log: page0.cpp,v $
 * Revision 1.1  2000/06/25 17:59:10  denis
 * RegWindow constructor was splitted to several files, by one on every
 * page.
 * Some debugging code along with useful one were added - trying to catch
 * up this stupid segfault in RegWindow...
 *
 */

#include "regwin.h"

void RegWindow::setupPage0()
{
//---------------------------------------------------
  QWidget *page0 = new QWidget(rightPanel);
  panelLayout->addWidget(page0, 0, 0);
  QBoxLayout *p0Layout = new QVBoxLayout(page0, 0, 5);
  
  QLabel *p0Label1 = new QLabel(i18n("Welcome to ICQ"), page0);
  p0Label1->setAlignment(AlignCenter);
  p0Label1->setMinimumSize(p0Label1->sizeHint());
  p0Layout->addWidget(p0Label1);

  QLabel *p0Label2 = new QLabel(i18n(
    "Please make sure you are connected to the Internet.\n"\
    "The registration wizard will guide you through the\n"\
    "registration process. When you register at ICQ servers,\n"\
    "you will receive your own personal Universal Internet\n"\
    "Number (UIN). This number allows you to operate your\n"\
    "copy of ICQ."), page0);
  p0Label2->setMinimumSize(p0Label2->sizeHint());
  p0Layout->addWidget(p0Label2);

  QButtonGroup *p0Box = new QButtonGroup(page0);

  QBoxLayout *p0BoxLayout = new QVBoxLayout(p0Box, 10, 5);

  QLabel *p0Label3 = new QLabel(i18n("For new users:"), p0Box);
  p0Label3->setMinimumSize(p0Label3->sizeHint());
  p0BoxLayout->addWidget(p0Label3);

  p0NewBtn = new QRadioButton(i18n(
    "New UIN - I would like to register && receive a new\n"\
    "Universal Internet Number (UIN)"), p0Box);
  p0NewBtn->setMinimumSize(p0NewBtn->sizeHint());
  p0NewBtn->setChecked(TRUE);
  p0Box->insert(p0NewBtn);
  p0BoxLayout->addWidget(p0NewBtn);

  QLabel *p0Label4 = new QLabel(i18n(
    "If you are already a registered ICQ user, have your\n"\
    "own UIN and wish to use this UIN on this computer."), p0Box);
  p0Label4->setMinimumSize(p0Label4->sizeHint());
  p0BoxLayout->addWidget(p0Label4);

  p0ExistBtn = new QRadioButton(i18n(
    "Existing UIN - I already have my own UIN && would\n"\
    "like to use it on this machine"), p0Box);
  p0ExistBtn->setMinimumSize(p0ExistBtn->sizeHint());
  p0ExistBtn->setChecked(FALSE);
  p0Box->insert(p0ExistBtn);
  p0BoxLayout->addWidget(p0ExistBtn);

  p0BoxLayout->activate();

  p0Layout->addWidget(p0Box, 1);

  p0Layout->activate();
  pageList.append(page0);
}
