/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef ICQANIMBUTTON_H
#define ICQANIMBUTTON_H

#include <qpushbt.h>
#include <qevent.h>
#include <qpixmap.h>

enum IcqAnimStatus {start, stop};

class IcqAnimButton : public QPushButton {
  Q_OBJECT
public:
  IcqAnimButton(QWidget *parent=0, const char *name=0);
  ~IcqAnimButton();
  void setAnimButtonStatus(IcqAnimStatus);
  virtual QSize sizeHint() const;
public slots:
signals:
protected:
  int timerid;
  int picnum;
  KIconLoader *loader;
  QPixmap lpixmap;
  virtual void drawButtonLabel(QPainter*);
  virtual void timerEvent(QTimerEvent*);
  virtual void mouseMoveEvent(QMouseEvent*);
protected slots:
private:
private slots:
};

#endif
