/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _KLINEEDITWITHPOPUPMENU_
#define _KLINEEDITWITHPOPUPMENU_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlined.h>
#include <qpopupmenu.h>
#include <qevent.h>
#include <qwidget.h>
#include <qcursor.h>

class KLineEditWithPopupMenu : public QLineEdit {
  Q_OBJECT
public:
  KLineEditWithPopupMenu(QWidget *_parent);
  ~KLineEditWithPopupMenu();
  QPopupMenu* popup();
protected:
  void mousePressEvent(QMouseEvent *e);
  QPopupMenu *popupmenu;
};
#endif /* _KLINEEDITWITHPOPUPMENU_ */
