/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
// $Id: kurllineedit.cpp,v 1.1 2000/05/24 16:59:50 denis Exp $
// $Log: kurllineedit.cpp,v $
// Revision 1.1  2000/05/24 16:59:50  denis
// Sources have been splitted to the whole bunch of appropriate
// directories. Every directory is end up with static library. All
// of them are linked together to the final kicq binary.
//
// Revision 1.6  2000/01/10 16:08:41  denis
// Headers reorganized for simplify dependencies and speedup compilation.
//

#include <stdlib.h> 
#include <iostream.h>
#include <qstring.h>
#include <qtooltip.h>
#include <kapp.h>

#include "kurllineedit.h"
#include "kwebbrowser.h"

#include "kurllineedit.moc"

KURLLineEdit::KURLLineEdit(QWidget *parent) : KLineEditWithPopupMenu(parent)
{
  popup()->insertItem(i18n("Open URL"), this, SLOT(openURL()), 0, 0);
  QToolTip::add( this, "Press Right Mouse Button For Options" );

  connect(popup(), SIGNAL(aboutToShow()), this, SLOT(performBeforePopupOperations()));
}

KURLLineEdit::~KURLLineEdit()
{
}

void KURLLineEdit::openURL()
{
  KWebBrowser::callWebBrowser(text());  
}

void KURLLineEdit::performBeforePopupOperations()
{
// cerr << text() << " " << i18n("N/A") << endl;
  if (QString(text()).stripWhiteSpace() == QString(i18n("N/A")).stripWhiteSpace()
      || QString(text()).isEmpty())
  {
    popup()->setItemEnabled(0, FALSE);
//     cerr << "is na !" << endl;
  } else {
    popup()->setItemEnabled(0, TRUE);   
//     cerr << "is not na !" << endl;
  }
}
