/***************************************************************************
                          kwebbrowser.h  -  description                              
                             -------------------                                         
    begin                : Tue Aug 31 1999                                           
    copyright            : (C) 1999 by Markus Goetz                         
    email                : guruz@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef KWEBBROWSER_H
#define KWEBBROWSER_H

#include <qobject.h>
#include <qstring.h>

const int BROWSER_KFM = 0;
const int BROWSER_CLIPBOARD = 1;
const int BROWSER_NETSCAPE = 2;
const int BROWSER_NETSCAPE_NSS = 3;
const int BROWSER_LYNX = 4; 
const int BROWSER_WGET = 5; 

class KWebBrowser : public QObject  {
  Q_OBJECT
public: 
  KWebBrowser();
  ~KWebBrowser();
  static void callWebBrowser(QString URL);
  static int getBrowser();
  static void setBrowser(int id);
};

#endif



