/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
// $Id: chatedit.cpp,v 1.1 2000/05/24 16:56:50 denis Exp $
// $Log: chatedit.cpp,v $
// Revision 1.1  2000/05/24 16:56:50  denis
// Sources have been splitted to the whole bunch of appropriate
// directories. Every directory is end up with static library. All
// of them are linked together to the final kicq binary.
//
// Revision 1.6  2000/05/04 15:36:31  denis
// Qt Meta Object added.
//
// Revision 1.5  2000/01/10 16:08:03  denis
// Headers reorganized for simplify dependencies and speedup compilation.
//
// Revision 1.4  1999/12/02 13:57:00  denis
// Cleanups.
//
// Revision 1.3  1999/07/16 15:47:39  denis
// Cleaned up.
//
// Revision 1.2  1999/07/12 15:23:16  cproch
// - changed icq_* function calls and callback function to support
//   icqlib with ICQLINK identifier.
// - look for FIXME in mainwindow.cpp
//
// Revision 1.1  1999/04/04 21:57:11  bills
// added for chat support
//

#include <stdio.h>
#include <stdlib.h>
#include <icq.h>
#include <qkeycode.h>
#include <kapp.h>

#include "mainwindow.h"
#include "chatedit.h"

#include "chatedit.moc"

void ChatEdit::keyPressEvent(QKeyEvent *ev)
{
  QString s;

  s.fill(ev->ascii(),1);
  icq_TCPSendChatData(&MW->icqlink, remote_uin, s.data());

  WrapEdit::keyPressEvent(ev);
}
