/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _CHATWINDOW_
#define _CHATWINDOW_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qsplitter.h>

#include "icqwindow.h"

class WrapEdit;
class ChatEdit;

class ChatWindow : public IcqWindow {
  Q_OBJECT
public:
  ChatWindow(unsigned long, unsigned long);
  ~ChatWindow();
  unsigned long id() { return m_id; }
  void textReceived(int length, void *data);
  void requestNotify(int type, int length, void *data);

public slots:
signals:
protected:
  unsigned long remote_uin;
  ChatEdit *localbox;
  WrapEdit *remotebox;
  QSplitter *splitter;
  QMenuBar *menubar;
  unsigned long m_id;
  void resizeEvent(QResizeEvent *);
  void closeEvent(QCloseEvent *);
protected slots:
private:
private slots:
};
#endif /* _CHATWINDOW_ */
