/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _SEPARATORITEM_
#define _SEPARATORITEM_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlistbox.h>
#include <qpainter.h>

#include "virtuseritem.h"

class SeparatorItem : public VirtUserItem
{
public:
  enum sepType {tpOffSeparator, tpOnSeparator, tpNILSeparator};
  SeparatorItem(sepType);
  ~SeparatorItem();
  virtual void paint(QPainter*);
  sepType type();
  virtual bool canBeSelected() const { return FALSE; }
protected:
  sepType itype;

  virtual int height(const QListBox*) const;
  virtual int width(const QListBox*) const;
private:
};
#endif
