/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * $Id: virtuseritem.h,v 1.1 2000/06/17 17:38:03 denis Exp $
 * $Log: virtuseritem.h,v $
 * Revision 1.1  2000/06/17 17:38:03  denis
 * Contact List code was rewritten from scratch! Although we are trying
 * to not add new features in anticipation of the next stable release,
 * but this rewrite solves many things, removes many hacks and stabilizes
 * whole program.
 * One of bug, needs to mention, is an absence of IP address in Info
 * window. The root of problem was in Contact List, because in any time
 * there were several ContactItems in memory for single user - they were
 * "smeared" on the whole code. Now it's clean and strict - all Contact
 * List operations can be done only by ContactList class.
 *
 */
#ifndef _VIRTUSERITEM_
#define _VIRTUSERITEM_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlistbox.h>

class VirtUserItem : public QListBoxItem
{
public:
  virtual bool canBeSelected() const { return TRUE; }
protected:
private:
};
#endif
