/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
// $Id: infoabout.cpp,v 1.1 2000/05/24 16:58:18 denis Exp $
// $Log: infoabout.cpp,v $
// Revision 1.1  2000/05/24 16:58:18  denis
// Sources have been splitted to the whole bunch of appropriate
// directories. Every directory is end up with static library. All
// of them are linked together to the final kicq binary.
//
// Revision 1.7  2000/01/10 16:08:26  denis
// Headers reorganized for simplify dependencies and speedup compilation.
//
// Revision 1.6  1999/07/23 12:37:32  denis
// Layout management support implemented.
// Cleaned up.
//
// Revision 1.5  1999/07/16 15:48:07  denis
// Cleaned up.
//
// Revision 1.4  1998/12/08 16:17:09  denis
// Cleaned up a little before releasing
//

#include <qlayout.h>

#include "infoabout.h"

#include "infoabout.moc"

AboutWidget::AboutWidget(QWidget *parent) : QWidget(parent)
{
  QBoxLayout *topLayout = new QVBoxLayout(this, 7);

  aboutbox = new QMultiLineEdit(this);
  aboutbox->setFocusPolicy(QWidget::NoFocus);
  topLayout->addWidget(aboutbox, 1);

  topLayout->activate();
}

void AboutWidget::setInfo(const char *pabout)
{
  aboutbox->setText(pabout);
}
