/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _INFOMAIN_
#define _INFOMAIN_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlabel.h>
#include <qlined.h>
#include <qpopupmenu.h>

class KLineEditWithPopupMenu;

class MainWidget : public QWidget {
  Q_OBJECT
public:
  MainWidget(QWidget*);
  void setInfo(unsigned long, unsigned long, const char*, const char*, const char*, const char*);
public slots:
signals:
protected:
  QLineEdit *nickline, *firstline, *lastline;
  KLineEditWithPopupMenu *ipline, *uinline, *emailline;
  bool isIPValid();
protected slots:
  void slotPingIp();
  void slotMail();
  void slotConnectToFTP();
  void slotConnectToHTTP();
  void slotTelnet();
  void slotPager();
private:
  bool IPvalid;
private slots:
};
#endif /* _INFOMAIN_ */
