/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * $Id: page1.cpp,v 1.1 2000/06/25 17:59:10 denis Exp $
 * $Log: page1.cpp,v $
 * Revision 1.1  2000/06/25 17:59:10  denis
 * RegWindow constructor was splitted to several files, by one on every
 * page.
 * Some debugging code along with useful one were added - trying to catch
 * up this stupid segfault in RegWindow...
 *
 */

#include "regwin.h"

void RegWindow::setupPage1()
{
//---------------------------------------------------
  QWidget *page1 = new QWidget(rightPanel);
  panelLayout->addWidget(page1, 0, 0);
  QBoxLayout *p1Layout = new QVBoxLayout(page1, 0, 5);

  QLabel *p1Label1 = new QLabel(i18n("User Type Registration"), page1);
  p1Label1->setAlignment(AlignCenter);
  p1Label1->setMinimumSize(p1Label1->sizeHint());
  p1Layout->addWidget(p1Label1);
  p1Layout->addSpacing(15);

  QButtonGroup *p1Box = new QButtonGroup(i18n("Connection Type"), page1);

  QBoxLayout *p1BoxLayout = new QVBoxLayout(p1Box, 10, 5);
  p1BoxLayout->addSpacing(7);

  p1LanBtn = new QRadioButton(i18n("LAN User"), p1Box);
  p1LanBtn->setMinimumSize(p1LanBtn->sizeHint());
  p1Box->insert(p1LanBtn);
  p1BoxLayout->addWidget(p1LanBtn);

  QBoxLayout *fhLayout = new QHBoxLayout(0);
  p1BoxLayout->addLayout(fhLayout);
  fhLayout->addSpacing(40);

  QBoxLayout *fwLayout = new QVBoxLayout(5);
  fhLayout->addLayout(fwLayout);

  QButtonGroup *p1Box2 = new QButtonGroup(page1);
  p1Box2->hide();

  p1FWNoBtn = new QRadioButton(i18n("I am not behind a firewall or proxy."), p1Box);
  p1FWNoBtn->setMinimumSize(p1FWNoBtn->sizeHint());
  p1Box2->insert(p1FWNoBtn);
  fwLayout->addWidget(p1FWNoBtn);

  p1FWYesBtn = new QRadioButton(i18n("I am behind a firewall or proxy."), p1Box);
  p1FWYesBtn->setMinimumSize(p1FWYesBtn->sizeHint());
  p1Box2->insert(p1FWYesBtn);
  fwLayout->addWidget(p1FWYesBtn);

  p1ModemBtn = new QRadioButton(i18n("Modem User"), p1Box);
  p1ModemBtn->setMinimumSize(p1ModemBtn->sizeHint());
  p1Box->insert(p1ModemBtn);
  p1BoxLayout->addWidget(p1ModemBtn);

  p1BoxLayout->activate();

  p1Layout->addWidget(p1Box, 1);

  p1LanBtn->setChecked(TRUE);
  p1FWNoBtn->setChecked(TRUE);
  p1FWYesBtn->setChecked(FALSE);
  p1ModemBtn->setChecked(FALSE);
  connect(p1LanBtn, SIGNAL(toggled(bool)), SLOT(slotP1LanBtn(bool)));

  p1Layout->activate();
  pageList.append(page1);
}
