/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * $Id: page3.cpp,v 1.1 2000/06/25 17:59:10 denis Exp $
 * $Log: page3.cpp,v $
 * Revision 1.1  2000/06/25 17:59:10  denis
 * RegWindow constructor was splitted to several files, by one on every
 * page.
 * Some debugging code along with useful one were added - trying to catch
 * up this stupid segfault in RegWindow...
 *
 */

#include "regwin.h"

void RegWindow::setupPage3()
{
//---------------------------------------------------
  QWidget *page3 = new QWidget(rightPanel);
  panelLayout->addWidget(page3, 0, 0);
  QBoxLayout *p3Layout = new QVBoxLayout(page3, 0, 5);

  QLabel *p3Label1 = new QLabel(i18n("SOCKS5 Proxy server settings:"), page3);
  p3Label1->setAlignment(AlignCenter);
  p3Label1->setMinimumSize(p3Label1->sizeHint());
  p3Layout->addWidget(p3Label1);

  QGroupBox *p3SrvBox = new QGroupBox(i18n("SOCKS5 Server:"), page3);

  QBoxLayout *p3SrvBoxLayout = new QVBoxLayout(p3SrvBox, 10, 5);
  p3SrvBoxLayout->addSpacing(7);

  QBoxLayout *p3HostLayout = new QHBoxLayout(5);
  p3SrvBoxLayout->addLayout(p3HostLayout);

  QLabel *p3HostLabel = new QLabel(i18n("SOCKS5 Host:"), p3SrvBox);
  p3HostLabel->setMinimumSize(p3HostLabel->sizeHint());
  p3HostLayout->addWidget(p3HostLabel);

  p3HostLine = new QLineEdit(p3SrvBox);
  p3HostLine->setMinimumSize(p3HostLine->sizeHint());
  p3HostLine->setFixedHeight(p3HostLine->sizeHint().height());
  p3HostLine->setText(i18n("Enter your socks server"));
  p3HostLayout->addWidget(p3HostLine, 1);

  QBoxLayout *p3PortLayout = new QHBoxLayout(5);
  p3SrvBoxLayout->addLayout(p3PortLayout);

  QLabel *p3PortLabel = new QLabel(i18n("SOCKS5 Port:"), p3SrvBox);
  p3PortLabel->setMinimumSize(p3PortLabel->sizeHint());
  p3PortLayout->addWidget(p3PortLabel);

  p3PortLine = new KIntegerLine(p3SrvBox);
  p3PortLine->setFixedHeight(p3PortLine->sizeHint().height());
  p3PortLine->setFixedWidth(70);
  p3PortLine->setValue(1080);
  p3PortLayout->addWidget(p3PortLine);
  p3PortLayout->addStretch(1);

  p3SrvBoxLayout->activate();

  p3Layout->addWidget(p3SrvBox, 1);

  QGroupBox *p3PassBox = new QGroupBox(i18n("SOCKS5 Password:"), page3);

  QBoxLayout *p3PassBoxLayout = new QVBoxLayout(p3PassBox, 10, 5);
  p3PassBoxLayout->addSpacing(7);

  p3rfcBtn = new QCheckBox(i18n(
    "Use RFC1929 (Cleartext) authentication for SOCKS"), p3PassBox);
  p3rfcBtn->setMinimumSize(p3rfcBtn->sizeHint());
  p3rfcBtn->setChecked(FALSE);
  p3PassBoxLayout->addWidget(p3rfcBtn);

  QBoxLayout *p3NameLayout = new QHBoxLayout(5);
  p3PassBoxLayout->addLayout(p3NameLayout);

  QLabel *p3NameLabel = new QLabel(i18n("SOCKS5 Username:"), p3PassBox);
  p3NameLabel->setMinimumSize(p3NameLabel->sizeHint());
  p3NameLayout->addWidget(p3NameLabel);

  p3NameLine = new QLineEdit(p3PassBox);
  p3NameLine->setMinimumSize(p3NameLine->sizeHint());
  p3NameLine->setFixedHeight(p3NameLine->sizeHint().height());
  p3NameLine->setEnabled(FALSE);
  p3NameLayout->addWidget(p3NameLine, 1);

  QBoxLayout *p3PassLayout = new QHBoxLayout(5);
  p3PassBoxLayout->addLayout(p3PassLayout);

  QLabel *p3PassLabel = new QLabel(i18n("SOCKS5 Password:"), p3PassBox);
  p3PassLabel->setMinimumSize(p3PassLabel->sizeHint());
  p3PassLayout->addWidget(p3PassLabel);

  p3PassLine = new QLineEdit(p3PassBox);
  p3PassLine->setMinimumSize(p3PassLine->sizeHint());
  p3PassLine->setFixedHeight(p3PassLine->sizeHint().height());
  p3PassLine->setEchoMode(QLineEdit::Password);
  p3PassLine->setEnabled(FALSE);
  p3PassLayout->addWidget(p3PassLine, 1);

  p3PassBoxLayout->activate();

  p3Layout->addWidget(p3PassBox, 1);

  connect(p3rfcBtn, SIGNAL(toggled(bool)), SLOT(slotP3rfcBtn(bool)));

  p3Layout->activate();
  pageList.append(page3);
}
