/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * $Id: page4.cpp,v 1.1 2000/06/25 17:59:10 denis Exp $
 * $Log: page4.cpp,v $
 * Revision 1.1  2000/06/25 17:59:10  denis
 * RegWindow constructor was splitted to several files, by one on every
 * page.
 * Some debugging code along with useful one were added - trying to catch
 * up this stupid segfault in RegWindow...
 *
 */

#include "regwin.h"

void RegWindow::setupPage4()
{
//---------------------------------------------------
  QWidget *page4 = new QWidget(rightPanel);
  panelLayout->addWidget(page4, 0, 0);
  QBoxLayout *p4Layout = new QVBoxLayout(page4, 0, 5);

  QLabel *p4SecurLabel = new QLabel(i18n(
    "To use your own UIN on this computer, enter an existing\n"\
    "UIN and password."), page4);
  p4SecurLabel->setMinimumSize(p4SecurLabel->sizeHint());
  p4Layout->addWidget(p4SecurLabel, 1);

  QGridLayout *p4GridLayout = new QGridLayout(7, 5, 0);
  p4Layout->addLayout(p4GridLayout, 1);

  QLabel *p4UINLabel = new QLabel(i18n("UIN:"), page4);
  p4UINLabel->setMinimumSize(p4UINLabel->sizeHint());
  p4GridLayout->addWidget(p4UINLabel, 1, 0, AlignVCenter);

  p4UINLine = new KIntegerLine(page4);
  p4UINLine->setMinimumSize(p4UINLine->sizeHint());
  p4UINLine->setFixedHeight(p4UINLine->sizeHint().height());
  p4GridLayout->addWidget(p4UINLine, 1, 2, AlignVCenter);

  QLabel *p4PassLabel = new QLabel(i18n("Password:"), page4);
  p4PassLabel->setMinimumSize(p4PassLabel->sizeHint());
  p4GridLayout->addWidget(p4PassLabel, 3, 0, AlignVCenter);

  p4PassLine = new QLineEdit(page4);
  p4PassLine->setMinimumSize(p4PassLine->sizeHint());
  p4PassLine->setFixedHeight(p4PassLine->sizeHint().height());
  p4PassLine->setEchoMode(QLineEdit::Password);
  p4GridLayout->addWidget(p4PassLine, 3, 2, AlignVCenter);

  QCheckBox *p4SaveBtn = new QCheckBox(i18n("Save Password"), page4);
  p4SaveBtn->setMinimumSize(p4SaveBtn->sizeHint());
  p4SaveBtn->setFixedHeight(p4SaveBtn->sizeHint().height());
  p4SaveBtn->setChecked(TRUE);
  p4GridLayout->addWidget(p4SaveBtn, 5, 2, AlignVCenter);

  QPushButton *p4DirBtn = new QPushButton(i18n("ICQ Global\nDirectory"), page4);
  p4DirBtn->setMinimumSize(p4DirBtn->sizeHint());
  p4GridLayout->addMultiCellWidget(p4DirBtn, 1, 3, 4, 4);

  p4GridLayout->setColStretch(2, 1);
  p4GridLayout->addColSpacing(1, 5);
  p4GridLayout->addColSpacing(3, 5);
  p4GridLayout->addRowSpacing(2, 5);
  p4GridLayout->addRowSpacing(4, 5);
  p4GridLayout->setRowStretch(0, 1);
  p4GridLayout->setRowStretch(2, 1);
  p4GridLayout->setRowStretch(4, 1);
  p4GridLayout->setRowStretch(6, 1);

  QLabel *p4Label2 = new QLabel(i18n(
    "(By using the ICQ Number and the password you can use\n"\
    "the ICQ program from another computer)."), page4);
  p4Label2->setMinimumSize(p4Label2->sizeHint());
  p4Layout->addWidget(p4Label2, 1);

  p4Layout->activate();
  pageList.append(page4);
}
