/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _CONNECTBUTTON_
#define _CONNECTBUTTON_

#include <qpushbt.h>
#include <kapp.h>
#include <kiconloader.h>

enum icqStatus {stOnline, stAway, stDND, stNA, stOccupied, stFFC, stInvisible, stOffline, stLogin};

class ConnectButton : public QPushButton {
  Q_OBJECT
public:
  ConnectButton(QWidget *parent=0, const char *name=0);
  ~ConnectButton();
  void setStatus(icqStatus);
public slots:
signals:
protected:
  int timerid;
  int picnum;
  KIconLoader *loader;
  QString ltext;
  QPixmap lpixmap;
  virtual void drawButtonLabel(QPainter *);
  virtual void timerEvent(QTimerEvent *);
protected slots:
private:
private slots:
};
#endif /* _CONNECTBUTTON_ */
