/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _ICQSOUND_H
#define _ICQSOUND_H

#include <qstrlist.h>
#include <qdict.h>
#include <kaudio.h>
#include <mediatool.h>
#include <ksimpleconfig.h>

class IcqSound : QObject {
  Q_OBJECT
public:
  IcqSound();
  ~IcqSound();
  void play(const char*);
  void soundEvent(const char*);
  void operator>>(KSimpleConfig&);
  void operator<<(KSimpleConfig&);
  void clear();
  const QStrList *getEventList() const { return &eventList; }
  void setEvent(const char*, const char*);
  const char *getEvent(const char*);
protected:
  QDict<char> sounds;
  QStrList eventList;
  KAudio *audio;
};

#endif
